PDA

View Full Version : 8.04 upgrade to 10.04



newlinux
March 29th, 2010, 04:14 PM
I am planning on upgrading most of my primary backend systems from 8.04 to 10.04 after it is released. Is this expected to work for myth? 8.04 uses mythtv .21, so I would be skipping a version, as I believe 10.04 uses myth .23. I know we are supposed to be able to upgrade LTS to LTS, but has this/will this be supported for myth (e.g. will the schema upgrade properly from .21 to .23)? If not - no biggie, I'll just take the time to reinstall and reconfigure all of my systems (which I would do anyway if the upgrades don't work well), but I want to first know if it is even worth trying to do the upgrade.

Thanks.

nickrout
March 30th, 2010, 01:50 AM
I am planning on upgrading most of my primary backend systems from 8.04 to 10.04 after it is released. Is this expected to work for myth? 8.04 uses mythtv .21, so I would be skipping a version, as I believe 10.04 uses myth .23. I know we are supposed to be able to upgrade LTS to LTS, but has this/will this be supported for myth (e.g. will the schema upgrade properly from .21 to .23)? If not - no biggie, I'll just take the time to reinstall and reconfigure all of my systems (which I would do anyway if the upgrades don't work well), but I want to first know if it is even worth trying to do the upgrade.

Thanks.

I asked the same question and got answers that gave me varying degrees of confidence :)

http://www.gossamer-threads.com/lists/mythtv/users/428646

newlinux
March 30th, 2010, 03:39 PM
well, I guess I'll try it and if it doesn't work, I'll try installing from scratch and updating the database schema from .21 and if that doesn't work I'll manually install .22 somewhere, upgrade the DB schema, back it up, and then freshly install 10.04. This is gonna be fun. I have (5 on 8.04, 2 on 9.04) systems to upgrade, and they have way more than just myth. Myth is the one least likely to work after upgrade, in my opinion. I guess this is why I rarely upgrade. Makes me want to go to debian :).